Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13173/?format=api
{ "ob_id": 13173, "uuid": "87fc265aab6b4aeb961e62da2cd6ca91", "title": "Weybourne Atmospheric Observatory: Longterm measurements of Atmospheric Carbon Dioxide", "abstract": "Longterm measurements of Atmospheric Carbon Dioxide (CO2) at Weybourne Atmospheric Observatory (WAO) using a Siemens NDIR instrument operated by the NCAS (National Centre for Atmospheric Science) AMF (Atmospheric Measurement Facility). WAO, situated on the north Norfolk coast, is part of the School of Environmental Sciences at the University of East Anglia (UEA) and is a world class facility for fundemental research, background atmospheric monitoring and teaching purposes. WAO operates a range of instruments in its measurement programme - the data from which is archived at the BADC.", "keywords": "Weybourne Atmospheric Observatory, WAO, carbon dioxide, AMF", "publicationState": "published", "dataPublishedTime": "2012-01-01T00:00:00", "doiPublishedTime": null, "updateFrequency": "", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13174/?format=api", "dataPath": "/badc/weybourne/data/co2/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 107244837, "numberOfFiles": 22, "fileFormat": "Data are NASA Ames formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3595/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/69/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/91975/?format=api" ], "dataLineage": "Data is collected at the Weybourne Atmospheric Observatory (WAO), which operates a range of instruments in its measurement programme. After collection, data is processed and formatted by the insrument manager, then uploaded as is to BADC", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12057/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/3818/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50501/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50500/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50499/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50503/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50504/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50505/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50506/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/50502/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/13175/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }